print.whatif <- function(object, print.gowers = FALSE, print.freq = FALSE, ...)  {

   object$in.hull <- as.character(object$in.hull)

    #LOCAL VARIABLES
    m <- length(object$in.hull)
 
    #PRINT ON SCREEN
    cat("\nCall:  ", deparse(object$call), sep="\n")
    cat("\n")
    cat("Counterfactual in Convex Hull, True or False:\n")
    prmatrix(data.frame(Counterfactual = seq(1, m, by = 1), "In Hull" = object$in.hull, 
      check.names = FALSE), rowlab = rep("", m), quote = FALSE, right = TRUE)
    cat("\n")
    cat("Percent Data Nearby Counterfactual:\n")
    prmatrix(data.frame(Counterfactual = seq(1, m, by = 1), "Percent Nearby" = object$sum.stat, 
      check.names = FALSE), rowlab = rep("", m), quote = FALSE, right = TRUE)
    cat("\n")
    cat("Geometric Variance of Covariates:  ", object$geom.var, sep = "\n")
    cat("\n")
    if (print.gowers)  {
      cat("Gower Distances of Counterfactual to Data Points:\n")
      prmatrix(cbind(Counterfactual = seq(1, m, by = 1), object$gowers.dist), rowlab = 
        rep("", m))
      cat("\n")
    }
    if (print.freq)  {
      cat("Cumulative Frequencies of Gower Distances:\n")
      prmatrix(cbind(Counterfactual = seq(1, m, by = 1), object$cum.freq), rowlab = 
        rep("", m))
      cat("\n")
   }
   
    return(invisible(object))
}
